Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 296463 (slyfox) - Retire: Sergei Trofimovich (slyfox)
Summary: Retire: Sergei Trofimovich (slyfox)
Status: IN_PROGRESS
Alias: slyfox
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: Retirement (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Retirement Admin
URL:
Whiteboard: infra-done: 2021-08-18
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-10 22:21 UTC by Lennart Kolmodin (RETIRED)
Modified: 2021-09-08 15:54 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lennart Kolmodin (RETIRED) gentoo-dev 2009-12-10 22:21:31 UTC
Sergei has already been helping out a lot with the Gentoo Haskell overlay, and it's a natural step that he joins the Gentoo Haskell herd.
We're currently only two developers, and could really use the extra man power to meet our ambitions.

Sergei is a programmer skilled in many languages, as well as writing ebuilds.
He's been a great help within the haskell community, as well as with general development and testing.

Real name: Sergei Trofimovich
Nick: trofi
email: slyfox@community.haskell.org
Location: Zhodino, Belarus
Mentor: kolmodin
Comment 1 Petteri Räty (RETIRED) gentoo-dev 2009-12-10 22:29:46 UTC
Because of our recruiting backlog it will most likely take some weeks before we
are able to assign a recruiter to you so please be patient.
Comment 2 Lennart Kolmodin (RETIRED) gentoo-dev 2010-01-12 21:48:07 UTC
Thanks for taking your time to let us know.
The end quiz is finished too, and trofi is eager to join Gentoo.
Please let us know when there is a recruiter available, thanks.
Comment 3 Tobias Heinlein (RETIRED) gentoo-dev 2010-05-22 15:36:10 UTC
Sergei, I will be your recruiter. Please send your quizzes to recruiters@gentoo.org when approved by your mentor. Always add a comment to this bug when you send something to that address. When the quizzes are sent please contact me by IRC or email to schedule the first review session.
Comment 4 Sergei Trofimovich (RETIRED) gentoo-dev 2010-05-22 15:58:49 UTC
Hi, Tobias!

Sent as:

Date: Sat, 22 May 2010 18:59:14 +0300
From: Sergei Trofimovich 3m3i1@bl0k3d
Subject: [resend] New developer request (https://bugs.gentoo.org/show_bug.cgi?id=296463)
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2010-05-23 15:46:48 UTC
Sent end quiz as:

Date: Sun, 23 May 2010 18:48:38 +0300
From: Sergei Trofimovich 3m3i1@bl0k3d

Subject: New developer request (https://bugs.gentoo.org/show_bug.cgi?id=296463) (end quiz)
Comment 6 Sergei Trofimovich (RETIRED) gentoo-dev 2010-06-06 19:17:49 UTC
Sent reviewed ebuild quiz, end quiz and ebuild cleanup as:

Date: Sun, 6 Jun 2010 22:15:36 +0300
From: Sergei Trofimovich 3m3i1@bl0k3d
Subject: New developer request
 (https://bugs.gentoo.org/show_bug.cgi?id=296463) (reviewed: ebuild quiz,
 end quiz, ebuild cleanup task)
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2010-06-23 20:54:45 UTC
Sent ebuild quiz, end quiz and ebuild amndment (second review) as:

Date: Wed, 23 Jun 2010 23:52:03 +0300
From: Sergei Trofimovich 3m3i1@bl0k3d
Subject: New developer request
 (https://bugs.gentoo.org/show_bug.cgi?id=296463) (reviewed v2)
Comment 8 Tobias Heinlein (RETIRED) gentoo-dev 2010-06-24 17:56:12 UTC
Sergei is set up now. :)

What we did:
- LDAP
- bugzilla
- cvs/svn/git groups on cvs.gentoo.org
- IRC cloak
- sent you your LDAP/mail password via encrypted mail

TODO:
- announcement
- gentoo-core

What you need to do:
- subscribe to mailing lists with your @gentoo.org address
- request forum status bump in #gentoo-forums or by mail to
  forum-mods@gentoo.org (if you have a forums account)
- send yourself mail to check if it works
- add yourself to mail aliases ( like java@gentoo.org )
  see /var/mail/alias on dev.gentoo.org
- ask team leads to add yourself to herds.xml for the herds you want to
  join or do it yourself if you have the permission to do so
- set lat and lon attributes in LDAP if you want others to know where
  exactly you are located
- set gentooIM if you want people to be able to contact you via other
  means than email
- If you want your blog to be syndicated to planet.gentoo.org, check
  http://www.gentoo.org/proj/en/userrel/planet/index.xml
- contact trustees@gentoo.org for Foundation membership (optional)

For the mentor:
- You are also responsible for the commits of your recruit during the first
  month so you should watch the commits of your recruit via gentoo-commits
  mailing list.
Comment 9 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-06-24 19:33:10 UTC
lists done.
Comment 10 Tobias Heinlein (RETIRED) gentoo-dev 2010-09-11 15:03:30 UTC
Announcement done as well at last.
Comment 11 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-04 22:03:17 UTC
slyfox has requested retirement. I'm really sorry to see him go. Please, if you ever want to return, we make it rather easy -- so please get in touch if you're interested at any point.

Huge thanks for your work on Gentoo and your legacy. It will, without a doubt, be missed.

Giving the usual 14 days to reconsider. Please let us know if you change your mind, or have any concerns, etc.
Comment 12 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-18 03:22:55 UTC
Pending:
- Infra (LDAP, bugs, wiki, d.g.o)
- Gitolite
- GitHub
- Forums
- Planet
- IRC cloak

Done (slyfox kindly did these for us):
- Package reassignment
- Bugs 
- Projects (Wiki)
Comment 13 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-08-18 06:56:34 UTC
Gitolite & GitHub done.
Comment 14 Infra Account for Automated Retirements gentoo-dev 2021-08-18 08:37:03 UTC
LOG: Running on oystercatcher.gentoo.org for CVS/SVN removal
LOG: Removing slyfox from groups
Comment 15 Infra Account for Automated Retirements gentoo-dev 2021-08-18 08:39:13 UTC
LOG: Running on pigeon.gentoo.org for lists
LOG: Removing slyfox from all lists.
Comment 16 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-27 02:22:59 UTC
Pending:
- Infra (LDAP, bugs, wiki, d.g.o)
- Forums
- Planet

Done (slyfox kindly did these for us):
- Gitolite
- GitHub
- Package reassignment
- Bugs 
- Projects (Wiki)
- IRC cloak

In particular, bugs seems pending for infra. Not sure if anything else.
Comment 17 Infra Account for Automated Retirements gentoo-dev 2021-09-08 06:39:18 UTC
LOG: Started on woodpecker.gentoo.org
LOG: Found slyfox.
LOG: Finished at Wed Sep  8 06:37:07 AM UTC 2021 with rc=0
Comment 18 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-09-08 06:56:28 UTC
LOG: Running on goldeneye.gentoo.org for bugzilla retire
LOG: Found 296463 for slyfox.
LOG: Found active user account for slyfox@gentoo.org
LOG: Updated user account.

infra done!
Comment 19 Anders Hellgren gentoo-dev 2021-09-08 15:54:10 UTC
Forums done (no account afaict).